Bug 29564 - Use List::MoreUtils so SIP U16/Xenial does not break
Summary: Use List::MoreUtils so SIP U16/Xenial does not break
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Mason James
QA Contact: Testopia
URL:
Keywords: rel_20_11_candidate, rel_21_05_candidate
Depends on: 29264
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-24 01:57 UTC by Mason James
Modified: 2021-11-26 08:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
to test... (1.21 KB, patch)
2021-11-24 02:03 UTC, Mason James
Details | Diff | Splinter Review
Bug 29564: Use List::MoreUtils so SIP U16/Xenial does not break (1.26 KB, patch)
2021-11-24 02:05 UTC, Mason James
Details | Diff | Splinter Review
Bug 29564: Use List::MoreUtils so SIP U16/Xenial does not break (1.26 KB, patch)
2021-11-24 20:04 UTC, David Nind
Details | Diff | Splinter Review
Bug 29564: Use List::MoreUtils so SIP U16/Xenial does not break (1.33 KB, patch)
2021-11-24 23:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2021-11-24 01:57:29 UTC
patch to come...
Comment 2 Mason James 2021-11-24 02:05:48 UTC
Created attachment 127970 [details] [review]
Bug 29564: Use List::MoreUtils so SIP U16/Xenial does not break

- run prove t/00-load.t, see error
 - apply patch

    00:07:08.189 koha_1       | #   Failed test 'use C4::SIP::Sip::Configuration;'
    00:07:08.189 koha_1       | #   at t/00-load.t line 46.
    00:07:08.189 koha_1       | #     Tried to use 'C4::SIP::Sip::Configuration'.
    00:07:08.189 koha_1       | #     Error:  "uniq" is not exported by the List::Util module

 - run prove t/00-load.t, see tests pass :0)

https://bugs.koha-community.org/show_bug.cgi?id=29478
Comment 3 David Nind 2021-11-24 20:04:15 UTC
Created attachment 127986 [details] [review]
Bug 29564: Use List::MoreUtils so SIP U16/Xenial does not break

- run prove t/00-load.t, see error
 - apply patch

    00:07:08.189 koha_1       | #   Failed test 'use C4::SIP::Sip::Configuration;'
    00:07:08.189 koha_1       | #   at t/00-load.t line 46.
    00:07:08.189 koha_1       | #     Tried to use 'C4::SIP::Sip::Configuration'.
    00:07:08.189 koha_1       | #     Error:  "uniq" is not exported by the List::Util module

 - run prove t/00-load.t, see tests pass :0)

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2021-11-24 20:10:10 UTC
Testing notes using koha-testing-docker (KTD):

- To start KTD using U16/xenial change KOHA_IMAGE=master-xenial in your .env file
Comment 5 Victor Grousset/tuxayo 2021-11-24 23:59:53 UTC
Created attachment 127987 [details] [review]
Bug 29564: Use List::MoreUtils so SIP U16/Xenial does not break

 - run prove t/00-load.t, see error
 - apply patch

    00:07:08.189 koha_1       | #   Failed test 'use C4::SIP::Sip::Configuration;'
    00:07:08.189 koha_1       | #   at t/00-load.t line 46.
    00:07:08.189 koha_1       | #     Tried to use 'C4::SIP::Sip::Configuration'.
    00:07:08.189 koha_1       | #     Error:  "uniq" is not exported by the List::Util module

 - run prove t/00-load.t, see tests pass :0)

https://bugs.koha-community.org/show_bug.cgi?id=29478

https://bugs.koha-community.org/show_bug.cgi?id=29564

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 6 Victor Grousset/tuxayo 2021-11-25 01:08:30 UTC
Our use case is simple so switching to List::MoreUtils:uniq shouldn't change the behavior.
List::MoreUtils is already even in 19.11.x so it's not a new dep.

Look good for QA :)
Comment 7 Jonathan Druart 2021-11-25 09:05:14 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 8 Mason James 2021-11-26 08:36:43 UTC
hi, can we get this pushed back to 20.05.x branch please :0)